Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.scanners
Class TypesScanner

    java.lang.Object
      org.jboss.errai.reflections.scanners.AbstractScanner
          org.jboss.errai.reflections.scanners.TypesScanner

All Implemented Interfaces:
  Scanner

    public class TypesScanner

extends AbstractScanner

scans classes and stores fqn as key and full path as value

Constructor Summary
`TypesScanner()`

Method Summary
`boolean` | `acceptsInput(java.lang.String file)`
`static boolean` | `isJavaCodeSerializer(java.util.List<java.lang.String> interfacesNames)`
`void` | `scan(java.lang.Object cls)`
`void` | `scan(Vfs.File file)`

Methods inherited from class org.reflections.scanners.AbstractScanner
`acceptResult, filterResultsBy, getConfiguration, getMetadataAdapter, getName, getResultFilter, getStore, setConfiguration, setResultFilter, setStore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypesScanner

    public TypesScanner()

Method Detail

### acceptsInput

    public boolean acceptsInput(java.lang.String file)

  Specified by:
    `acceptsInput` in interface `Scanner`
  Overrides:
    `acceptsInput` in class `AbstractScanner`

### scan

    public void scan(Vfs.File file)

  Specified by:
    `scan` in interface `Scanner`
  Overrides:
    `scan` in class `AbstractScanner`

### scan

    public void scan(java.lang.Object cls)

  Specified by:
    `scan` in class `AbstractScanner`

### isJavaCodeSerializer

    public static boolean isJavaCodeSerializer(java.util.List<java.lang.String> interfacesNames)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.